Subject: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Paul Eggert <[email-masked]>
Date: Sat, 13 Jun 2015 11:47:07 -0700

Eli Zaretskii wrote:

> I think you are judging by characters that are sufficiently well
> covered.  Try Emoji (something in the range U+1F600 to U+1F64F), which
> was the trigger for this bug and my changes, or Enclosed Alphanumerics
> (U+1F100 to U+1F1FFF), for example.  Or even Supplemental Punctuation
> (u+2E00 to u+2E7F) or Currency Symbols (u+20A0 to u+20CF).  What I see
> on my system is that several fonts claim coverage, but typically
> support just a few characters, sometimes just one.  That's the problem
> I was trying to avoid.

I tried the 8 specific characters that you mentioned (the endpoints of the 
ranges) with emacs -Q, and found that in my environment Symbola looked way 
better with U+1F600, U+1F64F, U+1F100 (where older Emacs just displays hex codes 
in boxes), that Symbola looks a bit worse with U+2E00 and U+20A0 (where older 
Emacs uses FreeSerif which better matches the FreeSerif characters elsewhere in 
the buffer), and that both fonts look bad (hex boxes) with U+1F1FFF, U+2E7F, 
U+20CF (as they're unassigned).